CocoaTweet::Exception::Exception Class Reference

`#include <exception.h>`

Inheritance diagram for CocoaTweet::Exception::Exception:
[legend]
Collaboration diagram for CocoaTweet::Exception::Exception:
[legend]

## Public Member Functions

| Exception (const char *_msg)
| Exception (const std::string &_msg)
const std::string & | what ()
virtual | ~Exception ()=default

## Protected Attributes

std::string | msg_

## Constructor & Destructor Documentation

## Exception() [1/2]

CocoaTweet::Exception::Exception::Exception | ( | const char * | _msg | ) |

inline

## Exception() [2/2]

CocoaTweet::Exception::Exception::Exception | ( | const std::string & | _msg | ) |

inline

## ~Exception()

virtual CocoaTweet::Exception::Exception::~Exception | ( |  | ) |

virtualdefault

## Member Function Documentation

## what()

const std::string& CocoaTweet::Exception::Exception::what | ( |  | ) |

inline

## Member Data Documentation

## msg_

std::string CocoaTweet::Exception::Exception::msg_

protected

The documentation for this class was generated from the following file:

- src/cocoatweet/exception/exception.h